Box’a’Fox
API referenceLocations

Targeting options for mobile

GET
/v1/locations/mobile

Countries and the targeting options below them. Refreshed every 6 hours. Supports ETag / If-None-Match.

Authorization

ApiKey
headerX-API-Key<token>

prx_live_<40 base62>

Query Parameters

country?string

Return one country with its children; without it countries only.

Length2 <= length <= 2

Header Parameters

If-None-Match?string

Response Body

OK

application/json
  1. response
data*
message*string

Human-readable status, safe to show to end users.

curl -X GET "https://example.com/v1/locations/mobile"
{  "data": {    "countries": [      {        "asns": [          {            "asn": 0,            "name": "string",            "node_count": 0          }        ],        "cities": [          {            "alias": "string",            "name": "string",            "node_count": 0          }        ],        "code": "string",        "isps": [          {            "name": "string",            "node_count": 0          }        ],        "name": "string",        "node_count": 0,        "states": [          {            "alias": "string",            "name": "string",            "node_count": 0          }        ]      }    ],    "network": "residential",    "supports": {      "asn": true,      "city": true,      "os": true,      "state": true,      "zip": true    },    "synced_at": "2019-08-24T14:15:22Z"  },  "message": "OK"}